# make – Run targets in a Makefile

- Synopsis

- Requirements

- Parameters

- Examples

- Status

## Synopsis

- Run targets in a Makefile.

## Requirements

The below requirements are needed on the host that executes this module.

- make

## Parameters

Parameter | Choices/Defaults | Comments
--- | --- | ---
chdir path / required |  | Change to this directory before running make.
file path added in 2.5 |  | Use a custom Makefile.
params dictionary |  | Any extra parameters to pass to make.
target string |  | The target to run. Typically this would be something like `install`,`test` or `all`."

## Examples

    - name: Build the default target
      make:
        chdir: /home/ubuntu/cool-project

    - name: Run 'install' target as root
      make:
        chdir: /home/ubuntu/cool-project
        target: install
      become: yes

    - name: Build 'all' target with extra arguments
      make:
        chdir: /home/ubuntu/cool-project
        target: all
        params:
          NUM_THREADS: 4
          BACKEND: lapack

    - name: Build 'all' target with a custom Makefile
      make:
        chdir: /home/ubuntu/cool-project
        target: all
        file: /some-project/Makefile

## Status

- This module is not guaranteed to have a backwards compatible interface. [preview]

- This module is maintained by the Ansible Community. [community]

### Authors

- Linus Unnebäck (@LinusU) <linus@folkdatorn.se>

Hint

If you notice any issues in this documentation, you can edit this document to improve it.